/***************************************************************************
                          clientconfig.h  -  description
                             -------------------
    begin                : Tue Aug 24 1999
    copyright            : (C) 1999 by Darren Poulson
    email                : daz@flapper.demon.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef CLIENTCONFIG_H
#define CLIENTCONFIG_H

#include <qwidget.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>

#include <kapp.h>

/**@author Darren Poulson <daz@flapper.demon.co.uk>
  *@short Class to hold all configuration info
  */


class ClientConfig : public QWidget  {
   Q_OBJECT

public:

	ClientConfig(QWidget *parent=0, const char *name=0);
	~ClientConfig();
 	
	KConfig *config;
	
protected:

	void resizeEvent (QResizeEvent *);
	void resizeEvent (void);	
	
protected slots:

	void saveconf(void);

private:

  QPushButton *ok;
  QLineEdit *servername;
  QLineEdit *serverport;
  QLineEdit *username;
  QLineEdit *userpassword;
	QLineEdit	*autodialname;
  QLabel *serverportlabel;
  QLabel *servernamelabel;
  QLabel *usernamelabel;
  QLabel *userpasswordlabel;
	QLabel *autodialnamelabel;
  QCheckBox *autoconnect;
	QCheckBox *autoauth;
	QCheckBox	*autodial;
	
};

#endif












